Bug 983033 - [abrt] blueman-1.23-6.fc19: connection.py:651:call_blocking:DBusException: org.openobex.Error.InvalidArguments: Invalid path
[abrt] blueman-1.23-6.fc19: connection.py:651:call_blocking:DBusException: or...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:0df35ab7e2d19e521514d8f2fdf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 06:42 EDT by Fidel Leon
Modified: 2013-12-09 18:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 18:47:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.33 KB, text/plain)
2013-07-10 06:42 EDT, Fidel Leon
no flags Details
File: core_backtrace (584 bytes, text/plain)
2013-07-10 06:42 EDT, Fidel Leon
no flags Details
File: environ (1.43 KB, text/plain)
2013-07-10 06:42 EDT, Fidel Leon
no flags Details

  None (edit)
Description Fidel Leon 2013-07-10 06:42:43 EDT
Version-Release number of selected component:
blueman-1.23-6.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/blueman-applet
dso_list:       dbus-python-1.1.1-5.fc20.i686
executable:     /usr/bin/blueman-applet
kernel:         3.11.0-0.rc0.git2.1.fc20.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.openobex.Error.InvalidArguments: Invalid path

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blueman/main/applet/Transfer.py", line 94, in on_server_created
    self.start_server(pattern)
  File "/usr/lib/python2.7/site-packages/blueman/main/applet/Transfer.py", line 77, in start_server
    server.Start(self.Config.props.shared_path, True, False)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.openobex.Error.InvalidArguments: Invalid path

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SessionBus (session) at 0xb6c928cc>
args: ('/home/fidelf20/Public', True, False)
object_path: dbus.ObjectPath('/org/openobex/server0')
signature: u'sbb'
bus_name: dbus.UTF8String(':1.39')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'org.openobex.Server'
message: <dbus.lowlevel.MethodCallMessage path: /org/openobex/server0, iface: org.openobex.Server, member: Start dest: :1.39>
method: 'Start'

Potential duplicate: bug 875682
Comment 1 Fidel Leon 2013-07-10 06:42:47 EDT
Created attachment 771527 [details]
File: backtrace
Comment 2 Fidel Leon 2013-07-10 06:42:52 EDT
Created attachment 771528 [details]
File: core_backtrace
Comment 3 Fidel Leon 2013-07-10 06:42:56 EDT
Created attachment 771529 [details]
File: environ
Comment 4 Filipe Rosset 2013-07-17 22:04:27 EDT
Description of problem:
Logged in Xfce (rawhide)

Version-Release number of selected component:
blueman-1.23-6.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/blueman-applet
dso_list:       dbus-python-1.1.1-5.fc20.x86_64
executable:     /usr/bin/blueman-applet
kernel:         3.11.0-0.rc0.git7.1.fc20.x86_64
runlevel:       N 5
uid:            1005

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.openobex.Error.InvalidArguments: Invalid path

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blueman/main/applet/Transfer.py", line 94, in on_server_created
    self.start_server(pattern)
  File "/usr/lib/python2.7/site-packages/blueman/main/applet/Transfer.py", line 77, in start_server
    server.Start(self.Config.props.shared_path, True, False)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.openobex.Error.InvalidArguments: Invalid path

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SessionBus (session) at 0x2a23fb0>
args: ('/home/filipe_rosset/Public', True, False)
object_path: dbus.ObjectPath('/org/openobex/server0')
signature: u'sbb'
bus_name: dbus.UTF8String(':1.72')
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'org.openobex.Server'
message: <dbus.lowlevel.MethodCallMessage path: /org/openobex/server0, iface: org.openobex.Server, member: Start dest: :1.72>
method: 'Start'
Comment 5 Fedora End Of Life 2013-09-16 10:28:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Juan Manuel Rodriguez 2013-12-09 18:47:53 EST
Hi. I'm closing this bug as Blueman has been retired from Fedora. 

If you wish to file a bug against upstream, a new Blueman fork has been created in this github repository. [1]

I apologize for the inconvenience. 

[1] https://github.com/cschramm/blueman

Note You need to log in before you can comment on or make changes to this bug.